de.esprit.appsuite.database.dbase

## Enum DBAction

- java.lang.Object
- - java.lang.Enum<DBAction>
  - - de.esprit.appsuite.database.dbase.DBAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DBAction>

      public enum DBAction
      extends java.lang.Enum<DBAction>

  Defines database actions that can result in an SQLException being thrown
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `EXISTS`
    `INSERT`
    `REHASH`
    `SELECT`
    `UPDATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DBAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DBAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSERT

          public static final DBAction INSERT

    - #### UPDATE

          public static final DBAction UPDATE

    - #### DELETE

          public static final DBAction DELETE

    - #### REHASH

          public static final DBAction REHASH

    - #### SELECT

          public static final DBAction SELECT

    - #### EXISTS

          public static final DBAction EXISTS

  - ### Method Detail

    - #### values

          public static DBAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DBAction c : DBAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DBAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 EsprIT-Systems. All Rights Reserved.